### Method

# ICalGLib VcardProperty add_type_x_parameter

since: 4.0

#### Declaration [src]

    void
    i_cal_vcard_property_add_type_x_parameter (
      ICalVcardProperty* prop,
      const gchar* type_param
    )

#### Description [src]

Adds an X (custom) TYPE parameter into the `prop`. See also i_cal_vcard_property_add_type_parameter().

Available since: 4.0

#### Parameters

`type_param`

  Type: `const gchar*`

  An X value of a TYPE parameter.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.